
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from '@react-navigation/stack';
import React from 'react';
import 'react-native-gesture-handler';
import OrderBoard from './src/containers/OrderBoard';


 const Stack = createStackNavigator();
 
 const App = () => {
   return (
     <NavigationContainer>
       <Stack.Navigator
       screenOptions={{
         
         gestureEnabled: true,
         headerBackTitleVisible: false,
         headerShown: false
       }}>
         <Stack.Screen name="Emir Tahtası" component={OrderBoard} />
       </Stack.Navigator>
     </NavigationContainer>
   )
 };
 
 export default App;
 