
import axios from 'axios';

class BaseService {
  constructor() {
    axios.interceptors.request.use(
      async function(config) {
        
        return config;
      },
      function(error) {
        return Promise.reject(error);
      },
    );

    axios.interceptors.response.use(
      function(response) {
        return response;
      },
      async function(error) {
        if(error.response){
          if (error.response.status === 401) {
          }
        }
        return Promise.reject(error);
      },
    );
  }

  getData(path: string) {
    let url = `http://172.19.48.1:4000/api${path}`;
    return axios.get(`${url}`);
  }

  postData(path: string, data: object) {
    let url = `http://172.19.48.1:4000/api${path}`;
    return axios.post(`${url}`, data);
  }

  putData(path: string, data: object) {
    let url = `http://172.19.48.1:4000/api${path}`;
    return axios.put(`${url}`, data);
  }
}

export default new BaseService();
