import React, { FunctionComponent } from 'react';
import { StyleSheet, View, StyleProp, ViewStyle } from 'react-native';
  
type LineProps = {
    line?:StyleProp<ViewStyle>;
    style?: StyleProp<ViewStyle>;
  }

export const Line: FunctionComponent<LineProps> = (props) => <View style={[styles.line, props.style]}></View>

const styles = StyleSheet.create({
    line: {
        borderColor:"#84BD00", borderWidth:1, flex:1, margin:5
    }
});

export default Line